SoftwareImage (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareImage interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareImage

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SoftwareImage

extends LogicalElement, ConfigurationItem

Naming Rules:
  0="checksum" 1="imageName,imageVersion" 2="managedSystemName"
Persistable:
  true
Table Name:
  SOFTIMAGE
Top Level:
  true
Display Name:
  imageName,imageVersion

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getApprovedForDevelopmentDistributions()` indicates whether or not the SoftwareImage can be distributed to Production environments.
`boolean` | `getApprovedForProductionDistributions()` indicates whether or not the SoftwareImage can be distributed to Production environments.
`boolean` | `getApprovedForTestDistributions()` indicates whether or not the SoftwareImage can be distributed to Test environments.
`java.lang.String` | `getChecksum()` The MD5 checksum of the software image
`DataFile` | `getFile()`
`java.lang.String` | `getImageName()` The Logical Name of the Software Image.
`java.lang.String` | `getImageVersion()` The Version of the installable SoftwareImage.
`DefinitiveSoftwareLibrary` | `getLibrary()`
`int` | `getStatus()`
`java.lang.String` | `getType()`
`boolean` | `hasApprovedForDevelopmentDistributions()`
`boolean` | `hasApprovedForProductionDistributions()`
`boolean` | `hasApprovedForTestDistributions()`
`boolean` | `hasChecksum()`
`boolean` | `hasFile()`
`boolean` | `hasImageName()`
`boolean` | `hasImageVersion()`
`boolean` | `hasLibrary()`
`boolean` | `hasStatus()`
`boolean` | `hasType()`
`void` | `setApprovedForDevelopmentDistributions(boolean x)`
`void` | `setApprovedForProductionDistributions(boolean x)`
`void` | `setApprovedForTestDistributions(boolean x)`
`void` | `setChecksum(java.lang.String x)`
`void` | `setFile(DataFile file)`
`void` | `setImageName(java.lang.String x)`
`void` | `setImageVersion(java.lang.String x)`
`void` | `setLibrary(DefinitiveSoftwareLibrary library)`
`void` | `setStatus(int status)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getImageVersion

    java.lang.String getImageVersion()
                                     throws AttributeNotSetException

  The Version of the installable SoftwareImage.

  Throws:
    `AttributeNotSetException`

### setImageVersion

    void setImageVersion(java.lang.String x)

### hasImageVersion

    boolean hasImageVersion()

### getApprovedForProductionDistributions

    boolean getApprovedForProductionDistributions()
                                                  throws AttributeNotSetException

  indicates whether or not the SoftwareImage can be distributed to Production environments.

  Throws:
    `AttributeNotSetException`

### setApprovedForProductionDistributions

    void setApprovedForProductionDistributions(boolean x)

### hasApprovedForProductionDistributions

    boolean hasApprovedForProductionDistributions()

### getApprovedForDevelopmentDistributions

    boolean getApprovedForDevelopmentDistributions()
                                                   throws AttributeNotSetException

  indicates whether or not the SoftwareImage can be distributed to Production environments.

  Throws:
    `AttributeNotSetException`

### setApprovedForDevelopmentDistributions

    void setApprovedForDevelopmentDistributions(boolean x)

### hasApprovedForDevelopmentDistributions

    boolean hasApprovedForDevelopmentDistributions()

### getApprovedForTestDistributions

    boolean getApprovedForTestDistributions()
                                            throws AttributeNotSetException

  indicates whether or not the SoftwareImage can be distributed to Test environments.

  Throws:
    `AttributeNotSetException`

### setApprovedForTestDistributions

    void setApprovedForTestDistributions(boolean x)

### hasApprovedForTestDistributions

    boolean hasApprovedForTestDistributions()

### getChecksum

    java.lang.String getChecksum()
                                 throws AttributeNotSetException

  The MD5 checksum of the software image

  Throws:
    `AttributeNotSetException`

### setChecksum

    void setChecksum(java.lang.String x)

### hasChecksum

    boolean hasChecksum()

### getImageName

    java.lang.String getImageName()
                                  throws AttributeNotSetException

  The Logical Name of the Software Image. Possibly contains a description of its contents.

  Throws:
    `AttributeNotSetException`

### setImageName

    void setImageName(java.lang.String x)

### hasImageName

    boolean hasImageName()

### getLibrary

    DefinitiveSoftwareLibrary getLibrary()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.StoredOn" reverse="false"

### setLibrary

    void setLibrary(DefinitiveSoftwareLibrary library)

### hasLibrary

    boolean hasLibrary()

### getFile

    DataFile getFile()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="true"

### setFile

    void setFile(DataFile file)

### hasFile

    boolean hasFile()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD